# DateRecordType enum

Type of a date record

Inheritance
  - Object
  - Enum
  - DateRecordType

## Constructors

DateRecordType()
  const

## Values

DateRecordIncapableOfWorkSince → const DateRecordType
DateRecordIncapableOfWorkUntil → const DateRecordType
DateRecordDiagnosedOn → const DateRecordType
DateRecordDocumentDate → const DateRecordType
DateRecordBirthDate → const DateRecordType
DateRecordChildNeedsCareFrom → const DateRecordType
DateRecordChildNeedsCareUntil → const DateRecordType
DateRecordUndefined → const DateRecordType

## Properties

hashCode → int
  The hash code for this object.
  read-only inherited
index → int
  A numeric identifier for the enumerated value.
  read-only inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<DateRecordType>
  A constant List of the values in this enum, in order of their declaration.
  `[DateRecordIncapableOfWorkSince, DateRecordIncapableOfWorkUntil, DateRecordDiagnosedOn, DateRecordDocumentDate, DateRecordBirthDate, DateRecordChildNeedsCareFrom, DateRecordChildNeedsCareUntil, DateRe…`